Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class ElephantObject

    java.lang.Object
      com.sun.mdm.index.parser.ElephantObject

public class ElephantObject
extends java.lang.Object

Constructor Summary
`ElephantObject()`

Method Summary
`java.lang.String` | `getBBEHome()`
`java.util.ArrayList` | `getBlockDefinitions()`
`java.util.ArrayList` | `getmSystems()`
`java.lang.String` | `getName()`
`ElephantObjectType` | `getPrimaryObject()`
`java.util.ArrayList` | `getSecondaryList()`
`java.util.ArrayList` | `getSecondaryObjects()`
`WeblogicType` | `getWeblogicAppServer()`
`void` | `parse(org.w3c.dom.Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElephantObject

    public ElephantObject()

Method Detail

### getBBEHome

    public java.lang.String getBBEHome()

  Returns:
    String ret string

### getBlockDefinitions

    public java.util.ArrayList getBlockDefinitions()

  Returns:
    Arraylist list

### getmSystems

    public java.util.ArrayList getmSystems()

  Returns:
    ArrayList list

### getName

    public java.lang.String getName()

  Returns:
    String ret string

### getPrimaryObject

    public ElephantObjectType getPrimaryObject()

  Returns:
    ElephantObjectType elephant object type

### getSecondaryList

    public java.util.ArrayList getSecondaryList()

  Returns:
    ArrayList list

### getSecondaryObjects

    public java.util.ArrayList getSecondaryObjects()

  Returns:
    ArrayList list

### getWeblogicAppServer

    public WeblogicType getWeblogicAppServer()

  Returns:
    WeblogicType weblogic type

### parse

    public void parse(org.w3c.dom.Node node)

  Parameters:
    `node` - Node

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.